<?php
/**
 * Cobalt by MintJoomla
 * a component for Joomla! 1.7 - 2.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mintjoomla.com/
 * @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

defined('_JEXEC') or die();

$item = $this->item;
$params = $this->tmpl_params['record'];
$icons = array();
$category = array();
$author = array();
$details = array();
$started = FALSE;
$i = 0;
?>
<style>
	dd {
		margin-bottom: 10px;
		margin-left: 0;
	}
	.icon-plus-2 {
		color: #113958;
		cursor: pointer;
	}
	.icon-minus-2 {
		color: #5E0D0D;
		cursor: pointer;
	}
	.private {
	background-color: #FCFDE2;
	padding: 5px;
	-webkit-border-radius: 5px;
    border-radius: 5px;
    border: 1px solid #D1CC96;
}
.published {
	background-color: #FDEEE2;
	padding: 5px;
	-webkit-border-radius: 5px;
    border-radius: 5px;
    border: 1px solid #CCADAD;
}
.dropdown-menu li {
	text-align: left;
}
<?php echo $params->get('tmpl_params.css');?>
</style>
<?php
if($params->get('tmpl_core.item_author') && $item->user_id)
{
	$a[] = CCommunityHelper::getName($item->user_id, $this->section);
	if($params->get('tmpl_core.item_author_filter'))
	{
		$a[] = FilterHelper::filterButton('filter_user', $item->user_id, NULL, JText::sprintf('CSHOWALLUSERREC', CCommunityHelper::getName($item->user_id, $this->section, array('nohtml' => 1))), $this->section);
	}
	$author[] = implode(' ', $a);
}
if($params->get('tmpl_core.item_ctime'))
{
	$author[] = JHtml::_('date', $item->created, $params->get('tmpl_core.item_time_format'));
}

if($params->get('tmpl_core.item_categories') && $item->categories_links)
{
	$details[] = implode(', ', $item->categories_links);
}
if($params->get('tmpl_core.item_hits'))
{
	$details[] = sprintf('%s: <big>%s</big>', JText::_('CHITS'), $item->hits);
}
if($params->get('tmpl_core.item_comments_num'))
{
	$details[] = sprintf('%s: <big>%s</big>', JText::_('CCOMMENTS'), CommentHelper::numComments($this->type, $this->item));
}
if($params->get('tmpl_core.item_favorite_num'))
{
	$details[] = sprintf('%s: <big>%s</big>', JText::_('CFAVORITED'), $item->favorite_num);
}
if($params->get('tmpl_core.item_follow_num'))
{
	$details[] = sprintf('%s: <big>%s</big>', JText::_('CFOLLOWERS'), $item->subscriptions_num);
}
?>

<article class="<?php echo $this->appParams->get('pageclass_sfx')?><?php if($item->featured) echo ' article-featured' ?> has-context">
	<?php if($this->user->get('id') && !$this->print):?>
		<div class="pull-right controls">
			<div class="btn-group" style="display: none; margin-top: 10px;">
				<?php if($params->get('tmpl_core.item_print')):?>
					<a class="btn btn-mini" onclick="window.open('<?php echo JRoute::_($this->item->url.'&tmpl=component&print=1');?>','win2','status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480,directories=no,location=no'); return false;">
						<?php echo HTMLFormatHelper::icon('printer.png',  JText::_('CPRINT'));  ?>
					</a>
				<?php endif;?>

				<?php echo HTMLFormatHelper::bookmark($item, $this->type, $params);?>
				<?php echo HTMLFormatHelper::follow($item, $this->section);?>
				<?php echo HTMLFormatHelper::repost($item, $this->section);?>
				<?php if($item->controls):?>
					<a href="#" data-toggle="dropdown" class="dropdown-toggle btn btn-mini">
						<?php echo HTMLFormatHelper::icon('gear.png', JText::_('COPTIONS'));  ?>
					</a>
					<ul class="dropdown-menu">
						<?php echo list_controls($item->controls);?>
					</ul>
				<?php endif;?>
			</div>
		</div>
	<?php elseif($this->print):?>
		<div class="pull-right controls">
			<a href="#" class="btn btn-mini" onclick="window.print();return false;"><?php echo HTMLFormatHelper::icon('printer.png', JText::_('CPRINT'));  ?></a>
		</div>
	<?php endif;?>

	<?php if($params->get('tmpl_core.item_title')):?>
		<?php if($this->type->params->get('properties.item_title')):?>
			<div class="page-header">
				<h1>
					<?php echo $item->title?>
					<?php echo CEventsHelper::showNum('record', $item->id);?>
				</h1>
			</div>
		<?php endif;?>
	<?php endif;?>

	<div class="row-fluid">
		<div class="span9">
			<div class="pull-right">
				<a class="btn btn-mini btn-primary" rel="tooltip" data-original-title="<?php echo JText::_('CQUOTEHIT'); ?>"
					href="javascript:void(0);" onclick="Cobalt.addQuote('-body')"><?php echo JText::_('CQUOTE');?> </a>
			</div>

			<small><?php echo implode(', ', $details);?></small>

			<?php if($this->item->parent_id > 0 && $this->item->parent == 'com_cobalt' && !JFactory::getApplication()->input->get('force_cat_id')): ?>
				<small><?php echo JText::_('Discuss') ?>: <?php echo CobaltApi::getArticleLink($this->item->parent_id) ?></small>
			<?php endif;?>

			<?php if(isset($this->item->fields_by_groups[null])):?>
				<div id="comment-body" rel="{user:'<?php echo str_replace("'", "\'", CCommunityHelper::getName($item->user_id, $this->section, array('nohtml' => 1))); ?>'}">
				<dl>
					<?php foreach ($this->item->fields_by_groups[null] as $field_id => $field):?>
						<dt id="<?php echo 'dt-'.$field_id; ?>" class="<?php echo $field->fieldclass;?>">
							<?php if($field->params->get('core.show_lable') > 1):?>
								<label id="lbl-<?php echo $field->id;?>" class="<?php echo $field->class;?>">
									<?php echo $field->label; ?>
									<?php if($field->params->get('core.icon')):?>
										<?php echo HTMLFormatHelper::icon($field->params->get('core.icon'));  ?>
									<?php endif;?>
								</label>
							<?php endif;?>
						</dt>
						<dd id="<?php echo 'dd-'.$field_id; ?>" class="<?php echo $field->class;?>">
							<?php echo $field->result; ?>
						</dd>
					<?php endforeach;?>
				</dl>
				</div>
				<?php unset($this->item->fields_by_groups[null]);?>
			<?php endif;?>

			<?php if(in_array($params->get('tmpl_params.item_grouping_type', 0), array(1)) && $this->item->fields_by_groups):?>
				<div class="clearfix"></div>
				<div class="tabbable">
					<ul class="nav nav-tabs" id="tabs-list">
						<?php if(isset($this->item->fields_by_groups)):?>
							<?php $o = 0;?>
							<?php foreach ($this->item->fields_by_groups as $group_id => $fields) :?>
								<li><a href="#tab-<?php echo $o++?>" data-toggle="tab"><?php echo $group_id?></a></li>
							<?php endforeach;?>
						<?php endif;?>
					</ul>
			<?php endif;?>
			<?php if(isset($this->item->fields_by_groups)):?>
				<?php foreach ($this->item->fields_by_groups as $group_name => $fields) :?>

					<?php $started = true;?>
					<?php group_start($this, $group_name, 'tab-'.$i++);?>
					<dl class="dl-horizontal fields-list">
						<?php foreach ($fields as $field_id => $field):?>
							<dt id="<?php echo 'dt-'.$field_id; ?>" class="<?php echo $field->fieldclass;?>">
								<?php if($field->params->get('core.show_lable') > 1):?>
									<label id="lbl-<?php echo $field->id;?>" class="<?php echo $field->class;?>">
										<?php echo $field->label; ?>
										<?php if($field->params->get('core.icon')):?>
											<?php echo HTMLFormatHelper::icon($field->params->get('core.icon'));  ?>
										<?php endif;?>
									</label>
								<?php endif;?>
							</dt>
							<dd id="<?php echo 'dd-'.$field_id; ?>" class="<?php echo $field->class;?>">
								<?php echo $field->result; ?>
							</dd>
						<?php endforeach;?>
					</dl>
					<?php group_end($this);?>
				<?php endforeach;?>
			<?php endif;?>

			<?php if($started):?>
				<?php total_end($this);?>
			<?php endif;?>

			<?php if(in_array($params->get('tmpl_params.item_grouping_type', 0), array(1)) && $this->item->fields_by_groups):?>
				</div>
				<div class="clearfix"></div>
			<?php endif;?>

			<?php if($params->get('tmpl_core.item_mtime') && JHtml::_('date', $item->modify, $params->get('tmpl_core.item_time_format')) != JHtml::_('date', $item->created, $params->get('tmpl_core.item_time_format'))):?>
				<p><small>
					<?php echo JText::_('CMTIME').': '.JHtml::_('date', $item->modify, $params->get('tmpl_core.item_time_format'));?>
				</small></p>
			<?php endif;?>

			<?php echo $this->loadTemplate('tags');?>
		</div>

		<div class="span3">
			<div style="text-align:center" class="small">
				<img class="img-circle" src="<?php echo CCommunityHelper::getAvatar($item->user_id, $params->get('tmpl_core.item_author_avatar_width', 40), $params->get('tmpl_core.item_author_avatar_height', 40));?>" />
				<?php if($author): ?>
					<br><?php echo implode('<br>', $author); ?>
				<?php endif;?>
				<div class="height-20"></div>
				<?php if($params->get('tmpl_core.item_rating')):?>
					<?php echo $item->rating;?>
				<?php endif;?>
			</div>
		</div>
	</div>
</article>
<div class="height-20"></div>
<script type="text/javascript">
	(function($){
		<?php if($started):?>
			<?php if(in_array($params->get('tmpl_params.item_grouping_type', 0), array(1))):?>
				$('#tabs-list a:first').tab('show');
			<?php elseif(in_array($params->get('tmpl_params.item_grouping_type', 0), array(2))):?>
				$('#tab-main').collapse('show');
			<?php endif;?>
		<?php endif;?>

		Cobalt.addQuote = function(comment_id)
		{
		    var iframe = $("#adminForm iframe");
		    var content = iframe.contents().find("body").html();

		    var comment = JSON.decode($('#comment'+comment_id).attr('rel'));

		    var html = getSelectionHtml();
		    if(!html)
		    {
			    html = $('#comment' + comment_id).html();
		    }

		    html = '<blockquote><small>'+ comment.user +'</small><p>' + html + '</p></blockquote><p>&nbsp;</p>';
		    html.replace('<p>&nbsp;</p>', ' ');

		    iframe.contents().find("body").html(content + html);
		    $('html, body').animate({scrollTop: $("#form-starts").offset().top}, 500);
		}
	}(jQuery));
</script>






<?php
function group_start($data, $label, $name)
{
	static $start = false;
	switch ($data->tmpl_params['record']->get('tmpl_params.item_grouping_type', 0))
	{
		//tab
		case 1:
			if(!$start)
			{
				echo '<div class="tab-content" id="tabs-box">';
				$start = TRUE;
			}
			echo '<div class="tab-pane" id="'.$name.'">';
			break;
		//slider
		case 2:
			if(!$start)
			{
				echo '<div class="accordion" id="accordion2">';
				$start = TRUE;
			}
			echo '<div class="accordion-group">
				<div class="accordion-heading">
					<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#'.$name.'">
					     '.$label.'
					</a>
				</div>
				<div id="'.$name.'" class="accordion-body collapse">
					<div class="accordion-inner">';
			break;
		// fieldset
		case 3:
			echo "<legend>{$label}</legend>";
		break;
	}
}

function group_end($data)
{
	switch ($data->tmpl_params['record']->get('tmpl_params.item_grouping_type', 0))
	{
		case 1:
			echo '</div>';
		break;
		case 2:
			echo '</div></div></div>';
		break;
	}
}

function total_end($data)
{
	switch ($data->tmpl_params['record']->get('tmpl_params.item_grouping_type', 0))
	{
		//tab
		case 1:
			echo '</div>';
		break;
		case 2:
			echo '</div>';
		break;
	}
}