<?php
/**
 * Cobalt by MintJoomla
 * a component for Joomla! 1.7 - 2.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mintjoomla.com/
 * @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

defined('_JEXEC') or die('Restricted access');
$params = $this->tmpl_params['cindex'];
$parent_id = ($params->get('tmpl_params.cat_type', 1) == 1 && $this->category->id) ? $this->category->id : 1;

$cats_model = $this->models['categories'];
$cats_model->section = $this->section;
$cats_model->parent_id = $parent_id;
$cats_model->order = $params->get('tmpl_params.cat_ordering', 'c.lft ASC');
$cats_model->levels = $params->get('tmpl_params.subcat_level');
$cats_model->all = 0;
$cats_model->nums = ($params->get('tmpl_params.cat_nums') || $params->get('tmpl_params.subcat_nums') || !$params->get('tmpl_params.cat_empty', 1));
$cats_model->comments = 1;
$categories = $cats_model->getItems();
$ts = 0;
?>
<style>
td.col-topics, td.col-comments {
	font-size: 20px;
	font-weight: bold;
	color: green;
	text-align: center !important;
	vertical-align: middle !important;
}
td.col-comments {
	color: orange;
}
.topic-subject {
	max-width: 300px;
	overflow: hidden;
	text-overflow: ellipsis;
}
</style>
<?php foreach($categories AS $category):?>
	<?php if($category->children):?>
		<?php if($ts) {tableClose(); $ts = 0;}?>
		<h3><a href="<?php echo JRoute::_($category->link)?>"><?php echo $category->title; ?>
		<?php echo CEventsHelper::showNum('category', $category->id);?></a></h3>
		<table class="table table-bordered table-hover">
			<thead>
				<?php if($params->get('tmpl_params.cat_img', 1)):?>
					<th width="1%"> </th>
				<?php endif;?>
				<th><?php echo JText::_('Category')?></th>
				<?php if($params->get('tmpl_params.subcat_nums', 0)):?>
					<th width="1%"><?php echo JText::_('Topics')?></th>
				<?php endif;?>
				<th width="1%"><?php echo JText::_('Comments')?></th>
				<th width="1%"><?php echo JText::_('Last')?></th>
			</thead>
			<tbody>
				<?php foreach($category->children as $i => $cat ) : ?>
					<?php getRow($cat, $params, $this);?>
				<?php endforeach;?>
			</tbody>
		</table>
	<?php else:?>
		<?php if(!$ts):?>
			<?php if(!empty($this->category->title)):?>
			<h3><?php echo JText::_('Subforums')?></h3>
			<?php endif;?>
			<table class="table table-bordered table-hover">
				<thead>
					<?php if($params->get('tmpl_params.cat_img', 1)):?>
						<th width="1%"> </th>
					<?php endif;?>
					<th><?php echo JText::_('Category')?></th>
					<?php if($params->get('tmpl_params.subcat_nums', 0)):?>
						<th width="1%"><?php echo JText::_('Topics')?></th>
					<?php endif;?>
					<th width="1%"><?php echo JText::_('Comments')?></th>
					<th width="1%"><?php echo JText::_('Last')?></th>
				</thead>
				<tbody>
			<?php $ts = 1;?>
		<?php endif;?>

		<?php getRow($category, $params, $this);?>

	<?php endif;?>
<?php endforeach;?>
<?php if($ts) {tableClose();}?>

<?php function tableClose(){ ?>
		</tbody>
	</table>
<?php } ?>

<?php function getRow($cat, $params, $obj) { ?>
	<?php if (!$params->get('tmpl_params.subcat_empty', 1) && !$cat->num_current && !$cat->num_all) return;  ?>
	<tr>
		<?php if($params->get('tmpl_params.cat_img', 1)):?>
			<td align="center">
				<?php if($cat->image):?>
					<img style="max-width:<?php echo $params->get('tmpl_params.cat_img_width', 200)?>px;" class="img-bordered" alt="<?php echo $cat->title; ?>" src="<?php echo JURI::root(TRUE).'/'.$cat->image;?>">
				<?php endif;?>
			</td>
		<?php endif;?>
		<td valign="top" class="col-title">
			<a href="<?php echo JRoute::_($cat->link)?>">
				<h4 style="margin: 0 0 5px 0">
					<?php echo $cat->title;?>
					<?php echo CEventsHelper::showNum('category', $cat->id);?>
				</h4>
			</a>
			<?php if($params->get('tmpl_params.cat_descr', 0) && $cat->description):?>
				<small>
					<?php echo $cat->{'descr_'.$params->get('tmpl_params.cat_descr')}?>
				</small>
			<?php endif;?>
		</td>
		<?php if($params->get('tmpl_params.subcat_nums', 0)):?>
			<td align="center" class="col-topics"><?php echo (int)$cat->records_num;?></td>
		<?php endif;?>
		<td align="center" class="col-comments"><?php echo (int)$cat->comments_num;?></td>
		<td align="left" nowrap="nowrap" valign="middle">
			<?php if($cat->comments_num):?>
				<?php echo lastCatComemnt($cat->id, $obj->section);?>
			<?php else:?>
			--
			<?php endif;?>
		</td>
	</tr>
<?php } ?>

<?php
function lastCatComemnt($id, $section)
{
	$db = JFactory::getDbo();

	$query = $db->getQuery(true);
	$query->select('c.user_id, c.ctime, c.record_id');
	$query->from('#__js_res_comments AS c');
	$query->select('r.title');
	$query->leftJoin('#__js_res_record AS r ON r.id = c.record_id');
	$query->where('c.published = 1');
	$query->order('c.ctime DESC');
	$query->where('c.record_id IN(SELECT record_id FROM #__js_res_record_category WHERE catid = '.$id.')');

	$db->setQuery($query, 0, 1);

	$row = $db->loadObject();
	$patern = '<div><a href="%s">%s</a></div><small>%s On %s</small>';
	return sprintf($patern, JRoute::_(Url::record($row->record_id, $section)), $row->title, CCommunityHelper::getName($row->user_id, $section), JHtml::_('date', $row->ctime, 'd M Y'));
}










